<%-include('./shared/header.ejs',{active:'dashboard'})%>
<!-- ########## START: MAIN PANEL ########## -->
<div class="br-mainpanel">
  <div class="br-pageheader pd-y-15 pd-l-20">
    <nav class="breadcrumb pd-0 mg-0 tx-12">
      <a class="breadcrumb-item" href="/dashboard">Dashboard</a>
      <span class="breadcrumb-item active">Deep Dive -Question Link</span>
    </nav>
  </div>
  <!-- br-pageheader -->
  <div class="pd-x-20 pd-sm-x-30 pd-t-20 pd-sm-t-30">
    <h4 class="tx-gray-800 mg-b-5">Deep Dive -Question Link</h4>
    <p class="mg-b-0">&nbsp;</p>
  </div>

  <div class="br-pagebody">
    <!-- start you own content here -->
    <div class="br-section-wrapper">
      <div class="form-layout form-layout-1 mb-5">
        <form id="mainForm" action="javascript:;">
            <input    
            class="form-control"
            type="hidden"
            name="question_id"
            value="<%= question_id %>"
          />
          <div class="row mg-b-25">
            <div class="col-lg-6">
              <div class="form-group">
                <label class="form-control-label"
                  >Name: <span class="tx-danger">*</span></label
                >
                <input
                class="form-control"
                type="text"
                name="name"
                placeholder="Enter  Name"
              />

              </div>
            </div>
            
            <div class="col-lg-6">
              <div class="form-group">
                <label class="form-control-label"
                  >Type: <span class="tx-danger">*</span></label
                >
                <select style="width: 400px;height: 40px;" name="type">
                    <option value="">--Please Select--</option>
                   
                     <option value="1">video</option>
                     <option value="2">Document</option>
                  
    
                   </select>

              </div>
            </div>
            <div class="col-lg-6">
                <div class="form-group">
                  <label class="form-control-label"
                    >Link: <span class="tx-danger">*</span></label
                  >
                  <input
                    class="form-control"
                    type="text"
                    name="link"
                    placeholder="Enter  Details"
                  />
                </div>
              </div>


              <div class="col-lg-6">
                <div class="form-group">
                  <label class="form-control-label"
                    >Marquee: <span class="tx-danger">*</span></label
                  >
                  <input
                    class="form-control"
                    type="text"
                    name="marque"
                    placeholder="Enter  Important Details"
                  />
                </div>
              </div>

              <div class="col-lg-6">
                <div class="form-group">
                  <label class="form-control-label"
                    >Description1: <span class="tx-danger">*</span></label
                  >
                  <textarea name="description1" class="form-control" ></textarea>
                  
                </div>
              </div>

              <div class="col-lg-6">
                <div class="form-group">
                  <label class="form-control-label"
                    >Description2: <span class="tx-danger">*</span></label
                  >
                  <textarea name="description2" class="form-control" ></textarea>
                </div>
              </div>




            <!-- col-4 -->
          </div>


          <div class="row">
            
            <div class="col-lg-12">
              <div class="form-group">
                <label class="form-control-label"
                  >Content Management System: <span class="tx-danger">*</span></label
                > <textarea   name="cms" id="description1"
                class="summernote1"  rows="5" placeholder="Product Description" > </textarea> 
               
              </div>
            </div>

          </div>



          <!-- row -->
          <div class="form-layout-footer">
            <button class="btn btn-info">Submit</button>
          </div>
          <!-- form-layout-footer -->
        </form>
      </div>
      <!-- form-layout -->

        <!-- list -->
        <div class="bd bd-gray-300 rounded table-responsive">
            <table class="table mg-b-0">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Link</th>
                    <th>Type</th>
                    <th>Edit</th>
                    <th>Status</th>
                    <th>Action</th>
                    <th>Lock.Status</th>
                    <th>Updation</th>
               
                  </tr>
                </thead>
                <tbody>
                  <% var i = 0; %>
                  <% quick_prep_resource.forEach(function(quick_prep_resource,index){ %>
                  <tr>
                    <th scope="row"><%= quick_prep_resource.id %></th>
                    <td><%= quick_prep_resource.name %></td>
                    <td><%= quick_prep_resource.link %></td>
                    <td><%= quick_prep_resource.type %></td>
                    <td><a href="/deep_dive_link_edit/<%=quick_prep_resource.id %>">
                      <button
                      type="button"
                      class="btn btn-secondary"
                      title="Edit"
                    >
                      <i class="fa fa-pencil-square-o"></i>
                    </button>
                    </a></td>

                   
                   
                    <td>
                      <% if (quick_prep_resource.active == 1) { %>
                          Active
                       <% } else { %>
                       <b style='color:red;'> In-Active</b> 
                        <% } %>
                    </td>
          
                    <td>
                      <div class="btn-group" role="group" aria-label="Basic example">
                        
                       
                        <% if (quick_prep_resource.active == 1) { %>
                          <a href="/deep_dive_link_inactive/<%=quick_prep_resource.id %>">
                        <button
                        type="button"
                        class="btn btn-secondary"
                        title="Make inactive"
                      >
                        <i class="fa fa-eye-slash"></i>
                      </button>
                    </a>
                      <% } else { %>
                        <a href="/deep_dive_link_active/<%=quick_prep_resource.id %>">
                      <button
                      type="button"
                      class="btn btn-secondary"
                      title="Make active"
                    >
                      <i class="fa fa-eye"></i>
                    </button>
                    </a>
                    <% } %>
                   </div>
                  </td>

                  <td>
                    <% if (quick_prep_resource.locked == 0) { %>
                        Open
                     <% } else { %>
                     <b style='color:red;'> Lock</b> 
                      <% } %>
                  </td>
      
      
      
                  <td>
      
                    <% if (quick_prep_resource.locked == 0) { %>
                      <a href="/deep_dive_link_lock/<%=quick_prep_resource.id %>">
                    <button
                    type="button"
                    class="btn btn-secondary"
                    title="Block"
                  >
                    <i class="fa fa-unlock"></i>
                  </button>
                </a>
                  <% } else { %>
                    <a href="/deep_dive_link_unlock/<%=quick_prep_resource.id %>">
                  <button
                  type="button"
                  class="btn btn-secondary"
                  title="Unblock"
                >
                  <i class="fa fa-lock"></i>
                </button>
                </a>
                <% } %>
      
      
                  </td> 




                  </tr>
                  <% }); %>
                </tbody>
              </table>
            
        </div>



        <%-include('./shared/scripts.ejs')%>

        <script>
            $("#mainForm").validate({
              normalizer: function (value) {
                return $.trim(value);
              },
              rules: {
               
                name:{
                  required: true,
                },
                type:{
                  required: true,
                },
                link:{
                  required: true,
                },
                marque:{
                  required: true,
                },
                description1:{
                  required: true,
                },
              
              },
              messages: {
               
                name: {
                  required: "name is  required",
                },
                type: {
                  required: "Type is  required",
                },
                link: {
                  required: "Link is  required",
                },
                marque: {
                  required: "Marque is  required",
                },
                description1: {
                  required: "Description is  required",
                },
              
              },
              submitHandler: function (form) {
                $("button").prop("disabled", "disabled");
                var form = document.getElementById("mainForm");
                 var data = new FormData(form);
                 //console.log(data);exit();
                $.ajax({
                  type: "POST",
                  url: "/deep_dive_link_insert",
                  data: $(form).serialize(),
                  dataType: "json",
                  headers: {
                    "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
                  },
                  success: function (data) {
                    if (data.status == 1) {
                      //toastr
                      //end toastr
                      setTimeout(function () {
                        window.location.reload();
                      }, 1000);
                    } else {
                      //toastr
                      //end toastr
                      setTimeout(function () {
                        window.location.reload();
                      }, 1000);
                    }
                    $("button").prop("disabled", false);
                  },
                  error: function (err) {
                    $("button").prop("disabled", false);
                  },
                });
                return false;
              },
            });
          </script>



<link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.4/summernote.css" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.4/summernote.js"></script>
<script type="text/javascript">
      $(document).ready(function() {
           $('.summernote').summernote({
            height: 200,
            dialogsInBody: true,
            callbacks:{
                onInit:function(){
                $('body > .note-popover').hide();
                }
             },
         });

         $('.summernote1').summernote({
            height: 200,
            dialogsInBody: true,
            callbacks:{
                onInit:function(){
                $('body > .note-popover').hide();
                }
             },
         });


      });

      function listProduct(){
    window.history.back();
}
</script>





          
          <%-include('./shared/footer.ejs')%>
          
          
          
          